/* shared classes */
p {
  text-indent: 30px;
}

body {
  background-color: black;
  color: white;
  font-family: 'Source Sans Pro', sans-serif;
  line-height: 1.7em;
  font-size: 18px;
}

/* This makes button appear as plain text */
button {
  border: none;
  background-color: inherit;
  color: inherit;
  font-family: 'Source Sans Pro', sans-serif;
}

/* This disables button border when button is clicked */
button:focus {
  outline: none;
}

/*Site-wide*/

.navlinks {
  font-size: 16px;
  padding-right: 25px;
    color: #F6F6FF;
}
 a:visited{
    color: #F6F6FF;
}
 a:hover{
    color: lightblue;
}


/*For the welcome page*/
.welcome-container{
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 50%;
  width: 50%;
  align-items: center;
  margin: 300px auto;
}
.welcome{
  background-image: url("../images/ocean.jpg");
  background-size: 100% 100%;
  background-repeat: no-repeat;
}
.welcome-container h1{
  text-shadow: 3px 3px 8px #003366;
  font-size: 45px;
}
.welcome a:link{
    color: aquamarine;
}
.welcome a:visited{
    color: aquamarine;
}

/* Classes for index page */
.hideThis {
  display: none;
}

.topsection {
  background-image: url("../images/ocean.jpg");
  background-size: 100% 600px;
  position: -webkit-sticky;
  position: sticky;
  top: 1px;
  text-align: center;
  height: 450px;
}

.titleHover {
  color: purple;
}

.head {
  font-family: 'Charmonman', cursive;
}

.photo {
  opacity: 0.15;
  border-radius: 100%;
  height: 300px;
  position: absolute;
  left: 0;
}

.phototext {
  clear: left;
  display: inline-block;
  position: absolute;
  top: 150px;
}

.section-title {
  text-align: center;
  margin-top: 25px;
  z-index: -1;
}

.tables {
  padding: 15px 25px;
  position: relative;
  z-index: -1;
}


/* Classes for aboutMe */
.aboutmePage{
  background-image: url("../images/ocean.jpg");
  background-repeat: no-repeat;

}
.aboutPictures{
  opacity: 0.55;
  border-radius: 100%;
}
.leftPicture{
  float: left;
  padding-right: 40px;
}
.rightPicture{
  float: right;
  padding-left: 40px;
}
.myPicture{
  /* float: left; */
  margin-top: -75px;
  /* padding-right: 40px; */
}


.aboutText{
  margin-right: 200px;
  margin-left: 35px;
}




/* testPage CSS */

.test-body{

  position: relative;
}
/* this allows for the background image transparency to be set, using absolute for the body-encompassing div test-body and setting to relative, using absolute for the background
the z-index is set to -1 so it goes behind all other elements*/
.test-body img{
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height:100%;
  z-index: -1;
  opacity: .3;
}
#testTitle{
  margin-top: 65px;
}
.box {
  font-size: 50px;
  color: white;
  padding: 10px;
  text-align:center;
  font-family: lato;
  font-weight: 300;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;

}

.box-1, .box-3, .box-5, .box-7, .box-9{
  /* animation-name: animated1; */
  -webkit-animation-duration: 4s;
          animation-duration: 4s;
  -webkit-animation-delay: 0s;
          animation-delay: 0s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
}
.boxAnimation{
  -webkit-animation-name: animated1;
          animation-name: animated1;
}
.box-2, .box-4, .box-6, .box-8{
  /* animation-name: animated1; */
  -webkit-animation-duration: 4s;
          animation-duration: 4s;
  -webkit-animation-delay: 0s;
          animation-delay: 0s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  animation-direction: reverse;
}
/*
/*  LAYOUT STYLES */
.snippit-container{
  margin: 100px;
}
.container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 40vh;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.container1{
  margin:4em;
  text-align: center;
}

.loader{
  /*This creates a box and turns to a circle using border-radius */
  border: 16px solid lightGray;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  border-top-color: blue;
  border-bottom-color: red;
  border-left-color: pink;
  border-right-color: indigo;
  margin: auto;
}
.load-spin{
  -webkit-animation-name: spin;
          animation-name: spin;
  -webkit-animation-duration: 4s;
          animation-duration: 4s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}
.loader-text{
  opacity:0;
}
.appearing-text{
  -webkit-animation-name: textAppear;
          animation-name: textAppear;
  opacity: 0;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-duration: 4s;
          animation-duration: 4s;
  -webkit-animation-delay: 4s;
          animation-delay: 4s;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;

}
/* animation */
@-webkit-keyframes spin{
  0%{
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  10%{
    border-top-color: purple;
    border-left-color: black;
    border-right-color: green;
    border-bottom-color: teal;
  }
  20%{
    border-top-color: #08517b;
    border-left-color: #240c47;
    border-right-color: #447dd8;
    border-bottom-color: #0c1247;
  }
  30%{
    border-top-color: #f8def1;
    border-left-color: #ff33ff;
    border-right-color: #0066ff;
    border-bottom-color: #00fff;
  }
  40%{
    border-top-color: #009966;
    border-left-color: #cc0033;
    border-right-color: #cc00cc;
    border-bottom-color: #9966cc;
  }
   50%{
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
    border-top-color: purple;
    border-left-color: black;
    border-right-color: green;
    border-bottom-color: teal;
  }
  60%{
    border-top-color: #08517b;
    border-left-color: #240c47;
    border-right-color: #447dd8;
    border-bottom-color: #0c1247;
  }
  70%{
    border-top-color: #f8def1;
    border-left-color: #ff33ff;
    border-right-color: #0066ff;
    border-bottom-color: #00fff;
  }
  80%{
    border-top-color: #009966;
    border-left-color: #cc0033;
    border-right-color: #cc00cc;
    border-bottom-color: #9966cc;
  }
   90%{
    border-top-color: #08517b;
    border-left-color: #240c47;
    border-right-color: #447dd8;
    border-bottom-color: #0c1247;
  }
  100%{
    -webkit-transform:rotate(720deg);
            transform:rotate(720deg);
    border-top-color: purple;
    border-left-color: black;
    border-right-color: green;
    border-bottom-color: teal;
  }
}
@keyframes spin{
  0%{
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  10%{
    border-top-color: purple;
    border-left-color: black;
    border-right-color: green;
    border-bottom-color: teal;
  }
  20%{
    border-top-color: #08517b;
    border-left-color: #240c47;
    border-right-color: #447dd8;
    border-bottom-color: #0c1247;
  }
  30%{
    border-top-color: #f8def1;
    border-left-color: #ff33ff;
    border-right-color: #0066ff;
    border-bottom-color: #00fff;
  }
  40%{
    border-top-color: #009966;
    border-left-color: #cc0033;
    border-right-color: #cc00cc;
    border-bottom-color: #9966cc;
  }
   50%{
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
    border-top-color: purple;
    border-left-color: black;
    border-right-color: green;
    border-bottom-color: teal;
  }
  60%{
    border-top-color: #08517b;
    border-left-color: #240c47;
    border-right-color: #447dd8;
    border-bottom-color: #0c1247;
  }
  70%{
    border-top-color: #f8def1;
    border-left-color: #ff33ff;
    border-right-color: #0066ff;
    border-bottom-color: #00fff;
  }
  80%{
    border-top-color: #009966;
    border-left-color: #cc0033;
    border-right-color: #cc00cc;
    border-bottom-color: #9966cc;
  }
   90%{
    border-top-color: #08517b;
    border-left-color: #240c47;
    border-right-color: #447dd8;
    border-bottom-color: #0c1247;
  }
  100%{
    -webkit-transform:rotate(720deg);
            transform:rotate(720deg);
    border-top-color: purple;
    border-left-color: black;
    border-right-color: green;
    border-bottom-color: teal;
  }
}
@-webkit-keyframes textAppear{
  10%{
    opacity: 0;
  }
  100%{
    opacity: 100;
  }
}
@keyframes textAppear{
  10%{
    opacity: 0;
  }
  100%{
    opacity: 100;
  }
}

@-webkit-keyframes animated1{
  0%{
    background-color: blue;
    font-size: 14px;
  }
  25%{
    background-color: red;
    font-size: 35px;
  }
  50%{
    background-color: purple;
    font-size: 50px;
  }
  75%{
    background-color: fuschia;
    font-size: 40px;
  }
  100%{
    background-color: black;
    font-size: 120px;
  }
}

@keyframes animated1{
  0%{
    background-color: blue;
    font-size: 14px;
  }
  25%{
    background-color: red;
    font-size: 35px;
  }
  50%{
    background-color: purple;
    font-size: 50px;
  }
  75%{
    background-color: fuschia;
    font-size: 40px;
  }
  100%{
    background-color: black;
    font-size: 120px;
  }
}
